{% extends 'Default/index.html.twig' %}

{% block main_content %}
  <section id="intro" class="container my-4">
    <div class="row">
      <div class="col">
        <h2>{{ 'nav.admin.oauth_client' | trans }}</h2>
      </div>
    </div>

    <div class="row">
      <div class="col">
        <table class="table table-condensed">
          <tbody>
          <tr>
            <th>{{ 'oauth_client.provider' | trans() }}</th>
            <td>{{ provider_name }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.redirect_url' | trans() }}</th>
            <td>{{ configuration.redirectUrl }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.url_authorize' | trans() }}</th>
            <td>{{ configuration.urlAuthorize }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.url_access_token' | trans() }}</th>
            <td>{{ configuration.urlAccessToken }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.url_resource_owner_details' | trans() }}</th>
            <td>{{ configuration.urlResourceOwnerDetails }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.url_logout' | trans() }}</th>
            <td>{{ configuration.urlLogout }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.client_id' | trans() }}</th>
            <td>{{ configuration.clientId }}</td>
          </tr>
          <tr>
            <th>{{ 'oauth_client.client_secret' | trans() }}</th>
            <td><code style="word-wrap: anywhere">{{ configuration.clientSecret }}</code></td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </section>
{% endblock %}
